summaryrefslogtreecommitdiffhomepage
path: root/debian/keysafe-server.postinst
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2016-10-22 14:50:55 -0700
committerSean Whitton <spwhitton@spwhitton.name>2016-10-22 14:50:55 -0700
commit07e176af3cb36f751fe6a5466482cd5cbfd6b528 (patch)
tree6108ed60820f5ebbc893f7dd58b9eec5c3ba7766 /debian/keysafe-server.postinst
parent5ca41d1c6304f4afad258a957487099a57cd172d (diff)
downloadkeysafe-07e176af3cb36f751fe6a5466482cd5cbfd6b528.tar.gz
create & delete keysafe system account
Diffstat (limited to 'debian/keysafe-server.postinst')
-rw-r--r--debian/keysafe-server.postinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/keysafe-server.postinst b/debian/keysafe-server.postinst
new file mode 100644
index 0000000..c459f0f
--- /dev/null
+++ b/debian/keysafe-server.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if ! getent passwd keysafe >/dev/null; then
+ adduser --system --group --disabled-login --disabled-password \
+ --home /var/lib/keysafe keysafe
+ chmod 700 /var/lib/keysafe
+fi
+
+#DEBHELPER#